Bug 262623 - cad/opencascade-devel: Update to 7.6.1 (maintenance release)
Summary: cad/opencascade-devel: Update to 7.6.1 (maintenance release)
Status: New
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL: https://dev.opencascade.org/content/o...
Keywords:
Depends on:
Blocks:
 
Reported: 2022-03-17 15:17 UTC by kunda
Modified: 2024-01-10 11:45 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Thierry Thomas freebsd_committer freebsd_triage 2022-03-17 15:49:34 UTC
AFAIK these so-called "maintenance releases" are just a snapshot of the development tree, and there is no full tarball available for them: it has to be made by mixing this partial tarball with a released tarball.

If you are interested, the port cad/opencascade should be forked to a new one cad/opencascade-devel (beware the conflicts!).
Comment 2 ml 2022-05-12 17:52:58 UTC
(In reply to Thierry Thomas from comment #1)
You are right no tarball is released, but no "mixing" is needed AFAICT: you just extract it from git.

(Meanwhile 7.6.2 was released).
Comment 3 George Mitchell 2023-03-29 20:08:00 UTC
Possibly this bug has been overcome by events?  The current head of the ports tree is at opencascade 7.7.0.  However (bug #270197), that version currently fails to compile after the update to ffmpeg 6.
Comment 4 ml 2024-01-10 11:45:51 UTC
(In reply to George Mitchell from comment #3)

Either that (overcome by events) or this becomes a "general" update bug, now that 7.8.0 is out (and compiles and works for me without changes, only one patch needs removal).